	{% include "admin/header.html" %}
	{% load set_var %}

	<div class="col-md-10">
		<div class="row">
			<div class="page-header">
				<h1><i style="   color: rgb(232, 232, 232);" class="glyphicon glyphicon-user"></i> &nbsp;Donatur</h1>
			</div>
		</div>

		<div class="row">
			<div class="panel panel-default bootstrap-admin-no-table-panel">
				<div class="panel-heading">
					<div class="text-muted bootstrap-admin-box-title">Daftar semua donatur</div>					
				</div>
				<div class="bootstrap-admin-panel-content bootstrap-admin-no-table-panel-content collapse in">

					<div>
						<div>
							<div class="container" style="width: 100%">
								{% if alert_msg %}
								<div class="alert alert-{% if alert_success %}success{% else %}danger{% endif %} alert-dismissible" role="alert">
									<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>{% autoescape on %}{{ alert_msg }}{% endautoescape %}</div>
									{% endif %}
									<ul class="special">
										<!-- <li class="create"><a href="{% url 'beribuku_app:admin.donatur.new' %}"><span>+</span>tambah donatur baru</a></li> -->
									</ul>
									<br>
									<br>
									<div class="table" >
										<table class="datatable">
											<thead>
												<tr>
													<th style="width:5%">No</th>
													<th style="width:30%">Nama</th>
													<th style="width:20%">E-Mail</th>
													<th style="width:20%">No. HP/Telepon</th>
													<th style="width:40%"></th>
												</tr>
											</thead>
											<tbody>
												{% for data in donatur %}
												<tr>
													<td>{{ forloop.counter }}</td>
													<td>{{ data.nama }}</td>
													<td>
														{% if data.email %}
														{{ data.email }}
														{% else %}
														<i>[tidak ada]</i>
														{% endif %}
													</td>
													<td>
														{% if data.nohp %}
														{{ data.nohp }}
														{% else %}
														<i>[tidak ada]</i>
														{% endif %}
													</td>
								<!-- 
								<td>{{ data.program.nama }}</td>
								<td><a href="#" data-toggle="modal" data-target="#foto-{{ data.id }}" class="btn btn-default btn-block">Lihat</a></td> -->

								<td>

									<div class="btn-group" role="group" aria-label="...">										
										<a href="/admin/editDonatur/?donaturId={{ data.id }}">
											<button class="btn btn-sm btn-success">
												<i class="glyphicon glyphicon-pencil"></i>
												Edit
											</button>
										</a>
										<a href="#" data-toggle="modal" data-target="#delete-{{ data.id }}">
											<button class="btn btn-sm btn-danger">
												<i class="glyphicon glyphicon-trash"></i>
												Delete
											</button>
										</a>
									</div>
								</td>

								<div id="foto-{{ data.id }}" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
									<div class="modal-dialog">
										<div class="modal-content">

											<div class="modal-header">
												<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
												<h4 class="modal-title">Bukti Transfer {{ data.nama }} </h4>
											</div>

											<div class="modal-body">
												<img src="http://{{ ABS_URL }}/{{ data.bukti }}" class="img-responsive">
											</div>

											<div class="modal-footer">
												<button type="button" class="btn btn-default" data-dismiss="modal">Keluar</button>
											</div>
										</div>
									</div>
								</div>

								<div id="delete-{{ data.id }}" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
									<div class="modal-dialog">
										<div class="modal-content">

											<div class="modal-header">
												<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
												<h4 class="modal-title">Konfirmasi Menghapus Donatur</h4>
											</div>

											<div class="modal-body">
												<p>Apakah anda yakin akan menghapus donatur <strong>{{ data.nama }}</strong> ? Donatur yang dihapus tidak dapat dikembalikan</p>
											</div>

											<div class="modal-footer">
												<button type="button" class="btn btn-default" data-dismiss="modal">Batalkan</button>
												<a href="/admin/deleteDonatur/?id={{ data.id }}" class="btn btn-primary">Hapus Donatur</a>
											</div>
										</div>
									</div>
								</div>

							</tr>
							{% endfor %}
						</tbody>
					</table>
				</div>

			</div>
		</div>
	</div>
</div>
</div>
</div>
</div>
</div>
</div>

{% include "admin/footer.html" %}

{% load static %}
<script src="{% static 'js/bootstrap.min.js' %}"></script>
</body>
</html>